# Generated by go2rpm
%bcond_without check

# https://github.com/minio/sha256-simd
%global goipath         github.com/minio/sha256-simd
Version:                0.1.0

%gometa

%global common_description %{expand:
This package is designed as a replacement for crypto/sha256. For Intel CPUs it
has two flavors for AVX512 and AVX2 (AVX/SSE are also supported). For ARM CPUs
with the Cryptography Extensions, advantage is taken of the SHA2 instructions
resulting in a massive performance improvement.

This package uses Golang assembly. The AVX512 version is based on the Intel's
"multi-buffer crypto library for IPSec" whereas the other Intel implementations
are described in "Fast SHA-256 Implementations on Intel Architecture Processors"
by J. Guilford et al.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        Accelerate SHA256 computations in pure Go using simd

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jun 03 18:06:23 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.1.0-1
- Release 0.1.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.20171213gitad98a36
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Oct 24 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.9.20171213gitad98a36
- Use forgeautosetup instead of gosetup.

* Sun Sep 02 2018 Fabio Valentini <decathorpe@gmail.com> - 0-0.8.20171213gitad98a36
- Bump to commit ad98a36.
- Update to use spec 3.0.

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.git96c8f86
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git96c8f86
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Dec 09 2017 Fabio Valentini <decathorpe@gmail.com> - 0-0.5.git96c8f86
- Bump to commit 96c8f86.

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.gitf3ec2e4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.gitf3ec2e4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 24 2017 Fabio Valentini <decathorpe@gmail.com> - 0-0.2.gitf3ec2e4
- Bump to commit f3ec2e4, adding support for the s390x arch.

* Wed Mar 01 2017 Fabio Valentini <decathorpe@gmail.com> - 0-0.1.gite82e73b
- First package for Fedora
